Subject: Re: bug#76608: guix git: error: unknown introductory commit and signer

From: Leo Famulari <[email-masked]>
Date: Thu, 27 Feb 2025 10:10:44 -0500

On Thu, Feb 27, 2025 at 02:52:18PM +0100, Rostislav Svoboda wrote:
> The command was `git pull --rebase savannah master`. (See my first
> email in the thread)

Right.

You might need to check out the 'keyring' branch and pull it in order to
get the updates to the keyring, since Steve (futurile) is a new
committer.

If you'd rather avoid clobbering your regular source checkout, which
would require a full rebuild in order to use './pre-inst-env' again, you
can check out the keyring in a worktree. Something like this:

$ git worktree add /tmp/keyring origin/keyring && cd /tmp/keyring && git pull origin keyring